View Issue Details

IDProjectCategoryView StatusLast Update
0001841XdebugCode Coveragepublic2020-10-14 15:02
Reporterderick Assigned Toderick  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Target Version3.0devFixed in Version3.0.0beta1 
Summary0001841: Add support for PHP 8 'match' keyword
DescriptionThe match keyword, just like switch, requires some extra logic to do dead code analysis and jump instructions for.
TagsNo tags attached.
Operating System
PHP Version8.0-dev

Activities

derick

2020-09-03 15:50

administrator   ~0005453

Fixed through https://github.com/xdebug/xdebug/pull/633

Issue History

Date Modified Username Field Change
2020-09-02 14:24 derick New Issue
2020-09-03 15:50 derick Assigned To => derick
2020-09-03 15:50 derick Status new => closed
2020-09-03 15:50 derick Resolution open => fixed
2020-09-03 15:50 derick Fixed in Version => 3.0dev
2020-09-03 15:50 derick Note Added: 0005453
2020-10-14 15:02 derick Fixed in Version 3.0dev => 3.0.0beta1